Get counts of orders
Get counts of orders. Required permissions: SALES_ORDER,RETURN_ORDER
post/tenants/{tenantUid}/orders/search/counts
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
Responses
200
Example response
application/json
post/tenants/{tenantUid}/orders/search/counts
POST /v2/tenants/{tenantUid}/orders/search/counts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1040
{
"queries": [
{
"queryKey": "text",
"query": {
"storeUids": [
"text"
],
"organizationUids": [
"text"
],
"customerQuery": "text",
"customerUid": "text",
"createdAtFrom": "2026-01-01T00:00:00.000Z",
"settledAtFrom": "2026-01-01T00:00:00.000Z",
"lastModifiedAtFrom": "2026-01-01T00:00:00.000Z",
"orderNumber": "text",
"externalOrderNumber": "text",
"externalIdKey": "text",
"externalIdValue": "text",
"productSku": "text",
"createdAtTo": "2026-01-01T00:00:00.000Z",
"settledAtTo": "2026-01-01T00:00:00.000Z",
"lastModifiedAtTo": "2026-01-01T00:00:00.000Z",
"tenantUserUids": [
"text"
],
"orderStates": [
"OPEN"
],
"settleStates": [
"NOT_STARTED"
],
"deliveryStates": [
"NOT_STARTED"
],
"orderStatuses": [
"OPEN"
],
"orderTypes": [
"OFFER"
],
"orderHandlingStates": [
"NOT_STARTED"
],
"orderHandlingUids": [
"text"
],
"deliverFromStoreUids": [
"text"
],
"query": "text",
"productUids": [
"text"
],
"tenantPaymentMethodUids": [
"text"
],
"reservationTypes": [
"NONE"
],
"isCustomerOrder": true,
"hasReservedLines": true,
"amountRange": {
"from": 1,
"to": 1
},
"orderDateFrom": "2026-01-01T00:00:00.000Z",
"orderDateTo": "2026-01-01T00:00:00.000Z"
}
}
]
}200
Example response
{
"results": [
{
"queryKey": "text",
"count": 1
}
]
}Last updated
Was this helpful?

